<?php
/**
 * The Giapeto script to view bookmarks.
 *
 * Copyright 2003-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: giapeto/bookmarks/index.php,v 1.17 2007/01/02 12:47:37 jan Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @package Giapeto
 */

@define('GIAPETO_BASE', dirname(__FILE__) . '/..');
require_once GIAPETO_BASE . '/lib/base.php';

/* Only registered users should be using this. */
if (!Auth::getAuth()) {
    Horde::authenticationFailureRedirect();
}

/* Set up the giapeto object. */
$giapeto = &Giapeto::singleton();

$template = &new Horde_Template();
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

$bookmark_list = $bookmarks->getBookmarks(true);
$template->set('bookmarks', $bookmark_list, true);

require GIAPETO_TEMPLATES . '/common-header.inc';
echo $template->fetch(GIAPETO_TEMPLATES . '/bookmarks/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
